//
// LPP Rendering pass 2 - building light buffer
//
#extension GL_ARB_texture_rectangle: enable

varying	vec3          pos;
uniform vec3          lightPos;
uniform vec3          lightColor;
uniform sampler2DRect dataMap;

void main (void)
{
	vec4	nz = texture2DRect ( dataMap, gl_FragCoord.xy );
	vec3	n  = nz.xyz;
	float	z  = nz.a;
	vec3	pp = pos * z / pos.z;
	vec3	l  = normalize ( lightPos - pp );
	vec3	v  = normalize ( -pp );
	vec3	h  = normalize ( l + v );
	float	diff = max ( 0.1, dot ( l, n ) );
	float	lum  = dot ( lightColor, vec3 ( 0.3, 0.59, 0.11 ) );
	float	spec = lum * pow ( max ( 0.0, dot ( h, n ) ), 40.0 );
	
	gl_FragColor = vec4 ( diff * lightColor.rgb, spec );
}
