//
// LPP pass 3, build G-buffer
//

#define EPS	0.01

uniform sampler2D		decalMap;
uniform sampler2DRect	lightMap;

void main (void)
{
	vec4	c = texture2D ( decalMap, gl_TexCoord [0].xy );
	vec4	l = texture2DRect ( lightMap, gl_FragCoord.xy );
	vec3	diff  = l.rgb;
	float	lum   = dot ( diff, vec3 ( 0.3, 0.59, 0.11 ) );
	vec3	chrom = diff / (lum + EPS);
	vec3	spec  = chrom * l.a;
	
	gl_FragColor = vec4 ( diff * c.xyz + 0.6 * spec, 1.0 );
}
